Bug 490743 - perl-ExtUtils-MakeMaker-Coverage shoud Require perl(Object::Accessor) and perl(Devel::Cover)
perl-ExtUtils-MakeMaker-Coverage shoud Require perl(Object::Accessor) and pe...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-ExtUtils-MakeMaker-Coverage (Show other bugs)
9
All Linux
high Severity low
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 15:28 EDT by Jan Pazdziora
Modified: 2009-03-27 10:51 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.05-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-27 10:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2009-03-17 15:28:34 EDT
Description of problem:

perl-ExtUtils-MakeMaker-Coverage shoud Require perl-Object-Accessor and perl-Devel-Cover. Without it, using ExtUtils::MakeMaker::Coverage fails:

$ perl -e 'use ExtUtils::MakeMaker::Coverage'
Base class package "Object::Accessor" is empty.
    (Perhaps you need to 'use' the module which defines that package first,
    or make that module available in @INC (@INC contains: /usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/local/lib64/perl5/site_perl/5.10.0/x86_64-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib64/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/local/lib/perl5/site_perl /usr/lib/perl5/site_perl .).
 at /usr/lib/perl5/vendor_perl/5.10.0/ExtUtils/MakeMaker/Coverage.pm line 5
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.10.0/ExtUtils/MakeMaker/Coverage.pm line 5.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

and make testcover fails with

$ make testcover
cover -delete
make: cover: Command not found
make: *** [coverclean] Error 127

Version-Release number of selected component (if applicable):

$ rpm -q perl-ExtUtils-MakeMaker-Coverage
perl-ExtUtils-MakeMaker-Coverage-0.05-4.fc9.noarch

How reproducible:

Tried once.

Steps to Reproduce:
1. rpm -q --requires perl-ExtUtils-MakeMaker-Coverage
  
Actual results:

$ rpm -q --requires perl-ExtUtils-MakeMaker-Coverage
/usr/bin/perl  
perl(:MODULE_COMPAT_5.10.0)  
perl(ExtUtils::MakeMaker::Coverage)  
perl(File::Basename)  
perl(Getopt::Long)  
perl(base)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1

Expected results:

$ rpm -q --requires perl-ExtUtils-MakeMaker-Coverage
/usr/bin/perl  
perl(:MODULE_COMPAT_5.10.0)  
perl(ExtUtils::MakeMaker::Coverage)  
perl(File::Basename)  
perl(Getopt::Long)  
perl(base)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(VersionedDependencies) <= 3.0.3-1
perl(Object::Accessor)  
perl(Devel::Cover)  

Additional info:
Comment 1 Ralf Corsepius 2009-03-18 03:17:39 EDT
AFAIS, the OP is right.

I am going to add 
R: perl(Object::Accessor)
R: perl(Devel::Cover)
Comment 2 Fedora Update System 2009-03-18 03:46:02 EDT
perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc10
Comment 3 Fedora Update System 2009-03-18 03:48:31 EDT
perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc9
Comment 4 Fedora Update System 2009-03-18 15:07:52 EDT
perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update perl-ExtUtils-MakeMaker-Coverage'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2811
Comment 5 Fedora Update System 2009-03-27 10:49:41 EDT
perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-03-27 10:50:55 EDT
perl-ExtUtils-MakeMaker-Coverage-0.05-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.